Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Contents

Table of Contents
maxLevel5
minLevel2

Compatibility and download

...

The Eclipse IDE can be used to build and debug Titanium Android modules, and to build and debug the Titanium SDK on Android. You will also need to install the Android Development Tools (ADT) Eclipse plugin.

Warning

ADT has been discontinued and we don't recommend using it.

Eclipse and ADT are not required for building, running, or distributing applications using the Titanium SDK.

If you don't want to use Eclipse, you can build Android modules and the Titanium SDK on the command line using Ant. See Installing Ant for instructions.

Note

Java is a prerequisite for Eclipse, and should be installed first. See Installing Oracle JDK for instructions.

Obtain the Eclipse version listed below for your Operating System:

Section
Column
width66px

Image Removed

Column

Operating System

Package Version

Download Location

OS X

Latest Stable
Eclipse IDE for Java Developers

Official Website

Windows

Latest Stable
Eclipse IDE for Java Developers

Official Website

Ubuntu

Latest Stable
Eclipse IDE for Java Developers

Official Website

Installation

Follow the Standard Installation Instructions on the Eclipse site.

Once you've installed Eclipse, see ADT Plugin for Eclipse on the Android Developer site for ADT installation instructions.